/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <glib.h>
#include "interface.h"
#include "support.h"
#include "utils.h"

int main (int argc, char *argv[])
{
    BrowserInfo my_browser;

#ifdef ENABLE_NLS
    bindtextdomain(GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
    bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
    textdomain(GETTEXT_PACKAGE);
#endif

#ifndef G_THREADS_ENABLED
    fprintf(stderr, _("Error: %s requires support from GThread.\n"), argv[0]);
    fprintf(stderr, _("The application will now terminate.\n"));
    exit(1);
#endif

    g_thread_init(NULL);
    gdk_threads_init();

    gtk_set_locale();
    gtk_init(&argc, &argv);

    if (DEVELOP)
	add_pixmap_directory(PACKAGE_SOURCE_DIR "/pixmaps");
    else
	add_pixmap_directory(PACKAGE_PIXMAPS_DIR);

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
    my_browser = get_browser();
    if (my_browser.name)
	gtk_about_dialog_set_url_hook (activate_url, NULL, NULL);
    else
    {
	GtkWidget* dialog = NULL;
	gchar* list = _("Suitable browsers are:\n\n");
	gchar* tmp;
	int i = 0;

	while(*browser_list[i])
	{
	    tmp = g_strdup_printf("-\t%s\n", *browser_list[i]);
	    list = g_strconcat(list, tmp, NULL);
	    i++;
	}
	dialog = gtk_message_dialog_new (
	    NULL,
	    GTK_DIALOG_DESTROY_WITH_PARENT,
	    GTK_MESSAGE_WARNING,
	    GTK_BUTTONS_CLOSE,
	    _("Could not find any suitable browser.\nNo online help available.")
	);
	gtk_message_dialog_format_secondary_text(
		(GtkMessageDialog *) dialog,
		list
	);
	gtk_dialog_run((GtkDialog *) dialog);
	gtk_widget_destroy(dialog);
	g_free(list);
    }

    gtk_window_set_default_icon(create_pixbuf("tptest-gui.xpm"));
    result_dialog = create_result_dialog();
    mainwindow = create_mainwindow();
    gtk_window_set_title(
	    (GtkWindow *) mainwindow, _("TPTEST 3.0 Standard Test"));
    gtk_window_set_position(mainwindow, GTK_WIN_POS_CENTER);
    /* Some needed stuff. See utils.c */
    init();
    gtk_widget_show(mainwindow);

    gdk_threads_enter();
    gtk_main();
    gdk_threads_leave();
    return 0;
}

